﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls.Primitives;

namespace WindowsFormsApplication14
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radTextBox1.Enter += new EventHandler(radTextBox1_Enter);
            this.radComboBox1.Enter += new EventHandler(radTextBox1_Enter);
            this.radMaskedEditBox1.Enter += new EventHandler(radTextBox1_Enter);

            this.radTextBox1.Leave += new EventHandler(radTextBox1_Leave);
            this.radComboBox1.Leave += new EventHandler(radTextBox1_Leave);
            this.radMaskedEditBox1.Leave += new EventHandler(radTextBox1_Leave);
        }

        void radTextBox1_Enter(object sender, EventArgs e)
        {
            string type = sender.GetType().Name;
            switch (type)
            {
                case "RadTextBox":
                    ((BorderPrimitive)((RadTextBox)sender).TextBoxElement.Children[2]).ForeColor = Color.Red;
                    break;
                case "RadComboBox":
                    ((BorderPrimitive)((RadComboBox)sender).ComboBoxElement.Children[1]).ForeColor = Color.Red;
                    break;
                case "RadMaskedEditBox":
                    ((BorderPrimitive)((RadMaskedEditBox)sender).MaskedEditBoxElement.Children[2]).ForeColor = Color.Red;
                    break;
            }
        }

        void radTextBox1_Leave(object sender, EventArgs e)
        {
            string type = sender.GetType().Name;
            switch (type)
            {
                case "RadTextBox":
                    ((BorderPrimitive)((RadTextBox)sender).TextBoxElement.Children[2]).ForeColor = Color.FromArgb(200, 224, 255);
                    break;
                case "RadComboBox":
                    ((BorderPrimitive)((RadComboBox)sender).ComboBoxElement.Children[1]).ForeColor = Color.FromArgb(200, 224, 255);
                    break;
                case "RadMaskedEditBox":
                    ((BorderPrimitive)((RadMaskedEditBox)sender).MaskedEditBoxElement.Children[2]).ForeColor = Color.FromArgb(200, 224, 255);
                    break;
            }
        }
    }
}
